###############################################################################
# WATCOM C/C++  Version 9.5    Standard makefile                              #
# Memorymodel: FLAT                                                           #
###############################################################################

# Include path.
INCS=\watcom\h
HEADERPATH=..\head

STACKSIZE = 16384
Assembler_Options = /mx /o

# With stack overflow check.
Compiler_Options = /mf /d2 /i=$(INCS) /i=$(HEADERPATH) /oimpt /fp3 /e10 /s /w3

# Linker_options   = 
Linker_options   = option stack=$(STACKSIZE) 

.EXTENSIONS:
.EXTENSIONS: .exe .obj .c .asm

System       = dos4g

Exe_file     = rs232.exe

Object_files = rs232.obj &
               rshand.obj &
               term.obj

$(Exe_file): $(Object_files)
						 *wlink system $(System) $(Linker_Options) name $(Exe_file) &
      file {$(Object_files)}
# Individual files.

rs232.obj: rs232.cpp
  wcc386 $(Compiler_Options) rs232.cpp

term.obj: term.cpp
  wcc386 $(Compiler_Options) term.cpp

rshand.obj: rshand.asm
  tasm $(Assembler_Options) rshand.asm

